Skip to main content
GET
https://api.useadam.io/v1/adam
/
bills
/
{uuid}
Get bill
curl --request GET \
  --url https://api.useadam.io/v1/adam/bills/{uuid} \
  --header 'X-API-Key: <api-key>'
{
  "status": "success",
  "message": "Bill retrieved successfully",
  "data": {
    "uuid": "660e8400-e29b-41d4-a716-446655440002",
    "date": "2024-01-10",
    "due_date": "2024-02-10",
    "narration": "Office supplies — XYZ Supplier",
    "total_amount": 300,
    "amount_paid": 0,
    "balance": 300,
    "currency": "USD"
  }
}

Authorizations

X-API-Key
string
header
default:your_tyms_sk_or_partner_key
required

Business secret tyms_sk_... for all routes except Register business, which expects your partner secret.

Path Parameters

uuid
string
required

Response

200 - application/json

Single bill

status
string
required
Example:

"success"

message
string
required
data
any

Single resource, array of resources, statement sections, or async job metadata — see each operation's example.

meta
object

Pagination (page, limit, total) and/or report range (from, to). Cash flow may include previous_period_end.